Page MenuHomePhabricator

Update docs/hooks.txt to reflect the new hook system.
Closed, ResolvedPublic

Description

It seems that docs/hooks.txt is largely obsolete now that the new hook system has been established.

It should probably be replaced by pointers to the respective pages on mediawiki.org.

The documentation of hook signatures should be removed.

Event Timeline

daniel created this task.Jul 13 2020, 10:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2020, 10:59 AM
BPirkle triaged this task as High priority.Jul 14 2020, 8:20 PM
BPirkle added a subscriber: BPirkle.

hooks.txt already references Hooks.md. It seems like we can simply eliminate everything from hooks.txt except the first sentence.

Change 612950 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Remove most of hooks.txt, now that the file is obsolete.

https://gerrit.wikimedia.org/r/612950

BPirkle claimed this task.Jul 15 2020, 8:51 PM
BPirkle moved this task from Ready to Doing on the Platform Team Workboards (Clinic Duty Team) board.

Change 612950 merged by jenkins-bot:
[mediawiki/core@master] Update the hooks documentation included with MediaWiki.

https://gerrit.wikimedia.org/r/612950

Change 613178 had a related patch set uploaded (by Daniel Kinzler; owner: BPirkle):
[mediawiki/core@REL1_35] Update the hooks documentation included with MediaWiki.

https://gerrit.wikimedia.org/r/613178

Change 613178 merged by jenkins-bot:
[mediawiki/core@REL1_35] Update the hooks documentation included with MediaWiki.

https://gerrit.wikimedia.org/r/613178

Change 613616 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Remove obsolete findHooks.php script.

https://gerrit.wikimedia.org/r/613616

Change 613616 merged by jenkins-bot:
[mediawiki/core@master] Remove obsolete findHooks.php script.

https://gerrit.wikimedia.org/r/613616

Change 613179 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@REL1_35] Remove obsolete findHooks.php script.

https://gerrit.wikimedia.org/r/613179

Change 613179 merged by jenkins-bot:
[mediawiki/core@REL1_35] Remove obsolete findHooks.php script.

https://gerrit.wikimedia.org/r/613179

BPirkle closed this task as Resolved.Jul 27 2020, 3:50 PM